const response = await fetch(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/3dToken',
{
headers: {
'Authorization': 'APIKEY your-api-key'
}
}
);
const data = await response.json();
console.log(data);
import requests
response = requests.get(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/3dToken',
headers={'Authorization': 'APIKEY your-api-key'}
)
print(response.json())
{
"Token": "e13448f6255a496f960d215852f9ccc4",
"ThreeDSSessionID": null,
"ThreeDSecIndication": "Authenticated",
"AuthenticationValue": "AJkBAoEREQAAAAB4hABwcAAAAAA=",
"Eci": "05",
"XID": "f0688d0b-6081-4879-9713-e7237d1fddfd",
"AcsTransactionId": null,
"Version": "2.1.0",
"MerchantName": null,
"SLI": null
}
Empty response body.
Authentication failed: the API key, session token or access token is missing or was not accepted.
See "Authentication and Permission Failures" on the Error Handling page.
Empty response body. No 3D Secure data exists for this card.
{
"code": -150,
"message": "Internal error",
"moreInfo": "Failed to retrieve 3D Secure data",
"errorList": null
}
3D Secure
Retrieve 3D Secure Data
Retrieve the 3D Secure authentication data stored on a token.
GET
/
api
/
payments
/
paycard
/
{cardToken}
/
3dToken
const response = await fetch(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/3dToken',
{
headers: {
'Authorization': 'APIKEY your-api-key'
}
}
);
const data = await response.json();
console.log(data);
import requests
response = requests.get(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/3dToken',
headers={'Authorization': 'APIKEY your-api-key'}
)
print(response.json())
{
"Token": "e13448f6255a496f960d215852f9ccc4",
"ThreeDSSessionID": null,
"ThreeDSecIndication": "Authenticated",
"AuthenticationValue": "AJkBAoEREQAAAAB4hABwcAAAAAA=",
"Eci": "05",
"XID": "f0688d0b-6081-4879-9713-e7237d1fddfd",
"AcsTransactionId": null,
"Version": "2.1.0",
"MerchantName": null,
"SLI": null
}
Empty response body.
Authentication failed: the API key, session token or access token is missing or was not accepted.
See "Authentication and Permission Failures" on the Error Handling page.
Empty response body. No 3D Secure data exists for this card.
{
"code": -150,
"message": "Internal error",
"moreInfo": "Failed to retrieve 3D Secure data",
"errorList": null
}
3DS Authentication Guide
Store and manage 3D Secure authentication data
Error Responses
| Code | HTTP Status | Condition |
|---|---|---|
| -1003 | 401 | User not owner or associated |
| (none) | 404 | No 3DS data exists for this card |
| -150 | 500 | Internal error retrieving 3DS data |
Parameters
Authentication
API key only. This endpoint does not accept access tokens or session tokens.string
required
Your API key prefixed with
APIKEY. Example: APIKEY your-api-key. The x-pcibooking-api-key header is also accepted. See the Authentication guide.Path Parameters
string
required
The token ID as returned by one of the tokenization methods. For example,
2821a46d80e14d1b96a7f18f1b81926d.const response = await fetch(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/3dToken',
{
headers: {
'Authorization': 'APIKEY your-api-key'
}
}
);
const data = await response.json();
console.log(data);
import requests
response = requests.get(
'https://service.pcibooking.net/api/payments/paycard/2821a46d80e14d1b96a7f18f1b81926d/3dToken',
headers={'Authorization': 'APIKEY your-api-key'}
)
print(response.json())
Response
{
"Token": "e13448f6255a496f960d215852f9ccc4",
"ThreeDSSessionID": null,
"ThreeDSecIndication": "Authenticated",
"AuthenticationValue": "AJkBAoEREQAAAAB4hABwcAAAAAA=",
"Eci": "05",
"XID": "f0688d0b-6081-4879-9713-e7237d1fddfd",
"AcsTransactionId": null,
"Version": "2.1.0",
"MerchantName": null,
"SLI": null
}
Empty response body.
Authentication failed: the API key, session token or access token is missing or was not accepted.
See "Authentication and Permission Failures" on the Error Handling page.
Empty response body. No 3D Secure data exists for this card.
{
"code": -150,
"message": "Internal error",
"moreInfo": "Failed to retrieve 3D Secure data",
"errorList": null
}

